'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * Forwards Facebool Pixels main window calls to Partytown's worker thread.
 *
 * https://developers.facebook.com/docs/facebook-pixel/get-started
 *
 * @public
 */
const facebookPixelForward = ['fbq'];

/**
 * Forwards Freshpaint.io main window calls to Partytown's worker thread.
 *
 * https://www.freshpaint.io/
 *
 * @public
 */
const freshpaintForward = [
    'freshpaint.addPageviewProperties',
    'freshpaint.identify',
    'freshpaint.track',
];

/**
 * Forwards Google Tag Manager main window calls to Partytown's worker thread.
 *
 * @public
 */
const googleTagManagerForward = ['dataLayer.push'];

exports.facebookPixelForward = facebookPixelForward;
exports.freshpaintForward = freshpaintForward;
exports.googleTagManagerForward = googleTagManagerForward;
